package net.sewio.rtls.websocket;


import java.net.URI;
import java.util.Scanner;

import org.eclipse.jetty.websocket.client.WebSocketClient;

public class example {
	@SuppressWarnings("resource")
	public static void main(String[] args)
    {
        String destUri = "ws://192.168.225.2:8080";  
    	String X_API_KEY = "17254faec6a60f58458308763";
    	String FEED_ID = "13";
    	double posX = 0.0;
    	double posY = 0.0;

        WebSocketClient client = new WebSocketClient();
        SimpleRtlsWebSocket socket = new SimpleRtlsWebSocket();
        try
        {
            client.start();

            URI rtlsUri = new URI(destUri);
            client.connect(socket,rtlsUri);
            System.out.printf("Connecting to : %s%n",rtlsUri);
            
            while (!socket.isConnected()) {
                Thread.sleep(1000);				
			}
            
            socket.subscribe(X_API_KEY, FEED_ID);
            
            while (true)
            {
		        String method = new Scanner(System.in).next();
		        if (method.contains("close")) {
		        	socket.unsubscribe(X_API_KEY, FEED_ID);
		            break;
		        }	
		        else if (method.contains("put")) {
		        	socket.put(X_API_KEY, FEED_ID, posX, posY);	
		        }
		        else if (method.contains("unsubscribe")) {
		        	socket.unsubscribe(X_API_KEY, FEED_ID);	
		        }
		        else if (method.contains("subscribe")) {	        	
		        	socket.subscribe(X_API_KEY, FEED_ID);
		        }	        
            }
        }
        catch (Throwable t)
        {
            t.printStackTrace();
        }
        finally
        {
            try
            {
                client.stop();
            }
            catch (Exception e)
            {
                e.printStackTrace();
            }
        }
    }
}
